AI Sync

PowerLists

Create PowerList

POSThttps://app.aisync.link/api/powerlists
Create PowerList
curl --request POST \
  --url https://app.aisync.link/api/powerlists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "New leads",
  "status": "Active",
  "priority": "Medium"
}'
{
  "data": {
    "id": "MQ==",
    "p_name": "New leads",
    "status": "Active"
  },
  "message": "Powerlist created successfully.",
  "success": true
}

Create PowerList#

Creates a powerlist. name is required and must be unique, max 100 characters.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

namestringbodyrequired

Powerlist name

statusstringbody

Active, Inactive, or Default. Defaults to Active

prioritystringbody

Highest, High, Medium, Low, or Lowest

call_timeoutstringbody

Seconds from 15 to 60 in steps of 5. Defaults to 25

max_contactsintegerbody

Minimum 50. Defaults to 100

tagsstring[]body

Base64 PowerList tag ids

ai_agentstringbody

AI agent id

curl --request POST \
  --url https://app.aisync.link/api/powerlists \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "New leads",
  "status": "Active",
  "priority": "Medium"
}'
messagestring

Created, or an error such as a duplicate name